﻿@model FileProject.Models.FileData

@{
    ViewBag.Title = "Files";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<script src="~/Scripts/jquery-3.3.1.js"></script>
<div>
    <h1>
        Search to view and edit
    </h1>
</div>

@using (Html.BeginForm("Detail", "SaveFile", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    <div class="form-horizontal">
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group" id="detail_id">
            @Html.LabelFor(model => model.SN, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SN, new { htmlAttributes = new { @class = "form-control", @id = "detail" } })<p style="color:red;">@Html.DisplayFor(model => model.Error)</p>
                @Html.ValidationMessageFor(model => model.SN, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" name="Btn" value='Search' class="btn btn-default1" />

            </div>
        </div>
    </div>
}
